/*
 * Example for Mic click
 *
 * Date         Mar 2017
 * Author       Djordje Rosic
 * Copyright    GNU Public License v2
 *
 * Test configuration STM32 :
 *  MCU           :        STM32F107VCT6
 *  Dev. Board    :        EasyMx PRO v7 for STM32 ARM
 *  SW            :        mikroC PRO for ARM v4.9.1
 *
 ******************************************************************************/

#include "tft_resources.h"
#include <stdint.h>

uint16_t x;
uint16_t y;
uint16_t oldx;
uint16_t oldy;

static void systemInit( void );
/*
 * System Initialization
 */
void systemInit ()
{
    x = 1;
    oldx = 0;
    oldy = 144;

    displayInit();
}

void main()
{
    uint16_t measuredValue;

    systemInit ();
    TFT_Set_Pen( CL_RED, 1 );
    while (1)
    {
        measuredValue = ADC1_Read(12);
        y = measuredValue/30 + 71;
        if (x !=0)
            TFT_Line (x, y, oldx, oldy);
        
        oldx = x;
        oldy = y;
        
        Delay_ms (10);
        x++;
        if (x==320)
        {
            x=0;
            TFT_Set_Pen( CL_WHITE, 1 );
            TFT_Rectangle (0,71,320,219);
            TFT_Set_Pen( CL_RED, 1 );
        }
    }
}
/************************************************************ END OF FILE *****/